# Users Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/users/

Schema for the `Users` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string, required)_
  The user's unique identifier
- **`name`** _(string, required)_
  The user's name
- **`first_name`** _(string)_
  The user's first name
- **`last_name`** _(string)_
  The user's last name
- **`username`** _(string)_
  The user's username
- **`emails`** _(array<object>)_
  The user's email addresses
  - **`email`** _(string, required)_
    The user's email address
  - **`type`** _(string)_
    The type of email address
- **`is_active`** _(boolean)_
  Whether the user is active or not
- **`team_ids`** _(array<string>)_
  The IDs of the teams the user is a member of
- **`avatar`** _(string)_
  The URL of the user's avatar
- **`roles`** _(array<object>)_
  The roles the user has
  - **`id`** _(string)_
    The role's unique identifier
  - **`name`** _(string)_
    The role's name
- **`created_at`** _(string)_
  The date and time the user was created
- **`updated_at`** _(string)_
  The date and time the user was last updated
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/users](/docs/api-reference/unified-ticketing-api/users/list) — List Users
- [POST /unified/ticketing/users](/docs/api-reference/unified-ticketing-api/users/create) — Create Users
- [GET /unified/ticketing/users/{id}](/docs/api-reference/unified-ticketing-api/users/get) — Get Users
- [DELETE /unified/ticketing/users/{id}](/docs/api-reference/unified-ticketing-api/users/delete) — Delete Users
- [PATCH /unified/ticketing/users/{id}](/docs/api-reference/unified-ticketing-api/users/update) — Update Users
